
%define am_i_uplos 0
%if %am_i_uplos
%define distrib uplos
%else
%define distrib Official
%endif
%define rel 5
%define distname %(echo %{distrib} | tr "A-Z" "a-z")
%define distabbrv uplos
%define distsuffix .%{distabbrv}
%define distribution uplos
%define lc_distro %(echo %{distribution} | tr "A-Z" "a-z")

%define product_vendor uplos
%define product_distribution %distribution
%define product_type Basic
%define product_version %version
%if %am_i_uplos
%define product_branch Devel
%else
%define product_branch Official
%endif
%define product_release 2018
%define product_arch %{_target_cpu}

%define product_id_base vendor=%product_vendor,distribution=%product_distribution,type=%product_type,version=%product_version,branch=%product_branch,release=%product_release,arch=%product_arch

%if %am_i_uplos
    %define unstable %%_with_unstable --with-unstable
%endif

# The distro release, what is written on box
%define distro_release %version

# The distro branch: uplos or Official
%define distro_branch %distrib

# The distro arch, notice: using %_target_cpu is bad
# elsewhere because this depend of the config of the packager
# _target_cpu => package build for
# distro_arch => the distribution we are using
%define distro_arch %_target_cpu

# To be coherent with %distro_arch I provide os too
# be I wonder it will be linux for a long time
%define distro_os %_target_os

%define realversion %version
%define uplosver %(echo %version | sed 's/\\.//')

Summary:	%{distribution} release file
Name:		%{lc_distro}-release
Version:	2018
Release:	%mkrel %rel
License:	GPL
URL:		http://www.liberainformatica.it/forum/forumdisplay.php?fid=25
Group:		System/Base
# so that uplosrepo sync doesn't remove it (used for updating release notes):
Source0:	Makefile
# edited lynx -dump of wiki:
Source2018:	ldap-names.py

%description
%{distribution} release file.

%package common
Summary: %{distribution} release common files
Group: System/Base
Requires: lsb-release
Conflicts: %name < %version-%release
Obsoletes: %name < %version-%release
Obsoletes: mandrake-release mandrakelinux-release mandriva-release
Obsoletes: mandriva-release-common
Obsoletes: rawhide-release redhat-release
Obsoletes: mandriva-doc-common


# cf mdvbz#32201831
Provides: arch(%_target_cpu)
Provides: %arch_tagged %{lc_distro}-release-common

%description common
Common files for %{distribution} release packages.

%define release_package(s) \
%{-s:%package %1} \
Summary: %{distribution} release file%{?1: for %1} \
Group: System/Base \
Requires:	%{arch_tagged %{lc_distro}-release-common} \
Requires(post):	coreutils \
Provides:	redhat-release rawhide-release mandrake-release mandrakelinux-release mandriva-release \
Provides:	system-release \
Provides:	system-release(%{version}) \
Provides:	system-release(releasever) = %{version} \
Provides:	%name = %version-%release \

%define release_descr(s) \
%description %{-s:%1} \
%{distribution} release file for %1 flavor. \


%define release_post(s) \
%post %{-s:%1} \
ln -fs product.id.%1 %{_sysconfdir}/product.id


%define release_install(s) \
cat > %{buildroot}%{_sysconfdir}/product.id.%{1} << EOF \
%{product_id_base},product=%1\
EOF\
 \
mkdir -p %{buildroot}%_sys_macros_dir \
cat > %{buildroot}%_sys_macros_dir/%{1}.macros <<EOF \
%%distribution      %distribution\
%%mandriva_release  %distro_release\
%%distro_release    %distro_release\
%%distro_branch     %distro_branch\
%%distro_arch       %distro_arch\
%%distro_os         %distro_os\
%%distro_class      %%(. %{_sysconfdir}/sysconfig/system; echo \\\$META_CLASS)\
%%mdkver            %uplosver\
%%mdvver            %uplosver\
%%uplosver            %uplosver\
%%distsuffix        %distsuffix\
\
# productid variable\
%%product_id %{product_id_base},product=%{1}\
\
%%product_vendor        %product_vendor\
%%product_distribution  %product_distribution\
%%product_type          %product_type\
%%product_version       %product_version\
%%product_branch        %product_branch\
%%product_release       %product_release\
%%product_arch          %product_arch\
%%product_product       %1\
\
%{?unstable}\
EOF\
 \
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig \
cat > %{buildroot}%{_sysconfdir}/sysconfig/system <<EOF \
SECURITY=3\
CLASS=beginner\
LIBSAFE=no\
META_CLASS=download\
EOF\


%release_package -s Default
Obsoletes: mandriva-release-Flash mandriva-release-Free mandriva-release-Mini mandriva-release-One mandriva-release-Powerpack

%release_descr -s Default

%prep
#%setup -q -n %{name}


%install
mkdir -p %{buildroot}%{_sysconfdir} %{buildroot}%{_prefix}/lib
echo "%{distribution} release %{realversion} (%{distrib}) for %{_target_cpu}" > %{buildroot}%{_sysconfdir}/%{lc_distro}-release
ln -sf %{lc_distro}-release %{buildroot}%{_sysconfdir}/redhat-release
ln -sf %{lc_distro}-release %{buildroot}%{_sysconfdir}/mandrake-release
ln -sf %{lc_distro}-release %{buildroot}%{_sysconfdir}/mandrakelinux-release
ln -sf %{lc_distro}-release %{buildroot}%{_sysconfdir}/mandriva-release
ln -sf %{lc_distro}-release %{buildroot}%{_sysconfdir}/release
echo "%{version} %{rel} %{distname}" > %{buildroot}%{_sysconfdir}/version

mkdir -p %{buildroot}%{_rpmconfigdir}/macros.d
cat > %{buildroot}%{_rpmconfigdir}/macros.d/macros.dist << EOF
%%dist              %{distsuffix}%{distro_release}
%%%{lc_distro}            %{distro_release}
%%%{distabbrv}%{distro_release}              1
EOF

# Generate "standardised" x-distro os-release file for systemd
# http://www.freedesktop.org/software/systemd/man/os-release.html
cat >%{buildroot}%{_prefix}/lib/os-release <<EOF
NAME="%{distribution}"
VERSION="%{realversion}"
ID=%{lc_distro}
VERSION_ID=%{realversion}
ID_LIKE="mandriva fedora"
PRETTY_NAME="%{distribution} %{realversion}"
ANSI_COLOR="1;32018"
HOME_URL="http://www.liberainformatica.it/forum/forumdisplay.php?fid=25"
SUPPORT_URL="http://www.liberainformatica.it/forum/forumdisplay.php?fid=25"
BUG_REPORT_URL="http://www.liberainformatica.it/forum/forumdisplay.php?fid=25"
PRIVACY_POLICY_URL="http://www.liberainformatica.it/forum/forumdisplay.php?fid=25"
EOF
# Compatibility symlink (although this will be recreated by tmpfiles too)
ln -s %{_prefix}/lib/os-release %{buildroot}%{_sysconfdir}/os-release

mkdir -p %{buildroot}%{_sysconfdir}/profile.d
cat > %{buildroot}%{_sysconfdir}/profile.d/10%{lc_distro}-release.csh<<'EOF'
if ( -r %{_sysconfdir}/sysconfig/system ) then
	eval `sed 's|^#.*||' %{_sysconfdir}/sysconfig/system | sed 's|\([^=]*\)=\([^=]*\)|set \1=\2|g' | sed 's|$|;|' `
	setenv META_CLASS $META_CLASS
else
	setenv META_CLASS unknown
endif
EOF

cat > %{buildroot}%{_sysconfdir}/profile.d/10%{lc_distro}-release.sh<<'EOF'
if [ -r %{_sysconfdir}/sysconfig/system ]; then
	. %{_sysconfdir}/sysconfig/system
	export META_CLASS
else
	export META_CLASS=unknown
fi
EOF

%release_install Default

touch %{buildroot}%{_sysconfdir}/product.id


%check
%if %am_i_uplos
case %release in
    0.*) ;;
    *)
    echo "uplos distro should have this package with release < %{mkrel 1}"
    exit 1
    ;;
esac
%endif


%release_post -s Default

%define release_files(s:) \
%files %{-s:%{-s*}} \
%_sys_macros_dir/%{1}.macros \
%{_sysconfdir}/product.id.%1 \
%ghost %{_sysconfdir}/product.id\
\

%release_files -s Default Default

%files common
%{_rpmconfigdir}/macros.d/macros.dist
%{_prefix}/lib/os-release
%{_sysconfdir}/*-release
%{_sysconfdir}/release
%{_sysconfdir}/version
%{_sysconfdir}/profile.d/10%{lc_distro}-release.sh
%{_sysconfdir}/profile.d/10%{lc_distro}-release.csh
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/sysconfig/system


%changelog
* Wed Sep 05 2018 adrianomorselli <adrianomorselli> 2018-1uplos2018
- try to remove old stuff like mandrake, red hat and so on
